type GroupDigits = string;

type GroupPlace = number;

export type Group = [GroupDigits, GroupPlace];

export interface StringifySystem {
	makeNegative: (s: string) => string;
	makeGroup: (group: string, place?: GroupPlace, options?: Record<string, unknown>) => string;
	group: (value: string) => Group[];
	finalize: (tokens: string[]) => string;
	tokenize: (value: string) => string[];
	parseGroups: (value: string[]) => Group[];
	combineGroups: (value: Group[]) => string;
}
